<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-between gap-4">
  <div class="flex items-center gap-4 grow">
    <app-type-icon></app-type-icon>
    <div class="text-text-500 text-base">
      <div class="flex items-center gap-2">
        <div *ngIf="indicate" class="relative">
          <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
          <div class="rounded-full bg-yellow size-2"></div>
        </div>
        <div class="font-semibold grow">{{ item.title }}</div>
      </div>
      <div class="flex items-center text-sm text-text-300 gap-2 mt-0.5">
        <i [class]="type.icon" style="font-size: 0.8"></i>
        <div>{{ type.title.length <= 0 ? 'Unknown type' : type.title }}</div>
      </div>
      <div *ngIf="organisation" class="w-44 truncate text-sm mt-0.5"><span class="text-text-300">owner:</span> {{ organisation.name }}</div>
    </div>
  </div>
  <div class="flex items-center gap-4 shrink-0">
    <p-tag *ngIf="isNew" value="New" severity="info"></p-tag>
    <div *ngIf="showPropCount" class="text-sm text-text-300 shrink-0">{{ propNum }}</div>
  </div>
</div>
